require("Items/ProceduralDistributions")

local beddingItems = {
    "Base.SinglesizeComforter",
    "Base.DoublesizeComforter",
    "Base.Pillow_Square",
}

local wardrobeLocations = {
    "WardrobeRedneck",
    "WardrobeClassy",
    "WardrobeGeneric",
    "WardrobeChild",
    "LivingRoomWardrobe",
    "BedroomDresser",
    "BedroomDresserClassy",
    "DresserGeneric"
}


local specialItems = {
    "Base.Pillow_Rabbit",
    "Base.Pillow_Flower",
    "Base.Pillow_Round"
}
local specialLocations = {
    "WardrobeChild",
    "BedroomDresser",
    "DresserGeneric"
}



for _, location in ipairs(wardrobeLocations) do
    for _, item in ipairs(beddingItems) do
        table.insert(ProceduralDistributions.list[location].items, item)
        table.insert(ProceduralDistributions.list[location].items, 10) 
    end
end


for _, location in ipairs(specialLocations) do
    for _, item in ipairs(specialItems) do
        table.insert(ProceduralDistributions.list[location].items, item)
        table.insert(ProceduralDistributions.list[location].items, 5) 
    end
end